Archivos diarios: mayo 25, 2010

Disponible Slackware 13.1

Para beneplácito de los seguidores de Slasckware, esta emblemática y venerada distribución de GNU/Linux nacida el 16 de julio de 1993 (una de las primeras distribuciones de GNU/Linux que existieron), ha sido publicado Slackware 13.1.

Entre las principales novedades, destacan Xfce 4.6.1, KDE 4.4.3, uso de HAL y udev, núcleo de Linux 2.6.33.4, Glibc 2.11.1, gcc-4.4.4, Apache 2.2.15, PHP 5.2.13, Perl 5.10.1, Python 2.6.4, Ruby 1.9.1-p378, Subversion 1.6.11, git-1.7.1, mercurial-1.5.2, SeaMonkey 2.0.4, Firefox 2.6.3, Thunderbird 3.0.4, Pidgin 2.7.0, Gimp 2.6.8, gkrellm 2.3.4, y muchas otras cosas más.

La lista completa de paquetes está disponible en este enlace. Descarga de imágenes iso se pueden hacer desde:

ftp://slackware.osuosl.org/pub/slackware/slackware-13.1/
ftp://ftp.slackware.com/pub/slackware/slackware-13.1/

Si los sitios anteriores estuvieran saturados, hay una lista completa de sitios espejo en slackware.com/getslack/.

Fuente

Utilizar un módem HSDPA USB Huawei E1556 en GNU/Linux Ubuntu 10.04

La situación.

El módem venía funcionando correctamente con la versión 9.10 de Ubuntu, sin embargo después de la instalación de la nueva versión (10.04) algo parece haber cambiado y el dispositivo sólo es identificado como un medio de almacenamiento (el controlador para Windows).

El problema.

Según el bug #521578 registrado en el LaunchPad de Ubuntu, el problema parece haber surgido debido a un movimiento de funcionalidades entre los paquetes udev (modem-modeswitch) y usb-modeswitch los cuales son responsables de garantizar que estos dispositivos USB no sean descubiertos únicamente como medios de almacenamiento con los drivers de Windows sino que sean identificados también como módems de banda ancha.  El paquete usb-modeswitch ahora con esta funcionalidad, no se instala por defecto en Ubuntu Lucid Lynx (10.04).

Este problema afecta a varios tipos de módems de la marca Huawei.

La solución.

La solución radica en instalar los paquetes requeridos.

$ sudo aptitude update && sudo aptitude install usb-modeswitch usb-modeswitch-data

Desconectar el módem USB y volver a conectarlo.  Este deberá ser reconocido normalmente a partir de ese momento.

Enlaces.

Fuente

Limpiar el menu de GRUB2

Si uno es de las personas que actualiza Ubuntu constantemente se habrá dado cuenta que cada vez que se actualiza el kernel aparece una nueva opción en el menú GRUB cuando se inicia el sistema. Desde la versión 9.10, Ubuntu ha adoptado la nueva versión de GRUB, es decir GRUB2.

GRUB2 es mejor en muchos aspectos y muchas de las cosas fastidiosas del menu.lst han desaparecido. Pero aun si uno no es cuidadoso en remover las versiones anteriores del kernel la lista de inicio del GRUB podría ser muy larga y engorrosa.

Remover las versiones anteriores del Kernel

Para hacerlo debes abrir Synaptic desde el menú Sistemas – Administración, luego tipear en el campo “Búsqueda” la versión del kernel que deseas eliminar, suficiente con que ingrese los primeros números del kernel.

Por cada entrada asociada con el kernel anterior, por ejemplo linux-headers-2.6.32-21 y linux-image-2.6.32-21-generic, le das clic derecho y seleccionas “Marcar para eliminar completamente”. Luego le das clic en el boton “Aplicar” y también en la ventana emergente donde se resume lo que se va a eliminar. Final mente cierras Synaptic.

La próxima vez que reinicies tu computadora, el menú del GRUB2 no contendrá las versiones anteriores que han sido removidas.

Remover Editando /etc/grub.d

Si deseas un mejor control o deseas remover entradas que no son versiones de kernel, debes modificar los archivos localizados en /etc/grub.d.

El directorio /etc/grub.d contiene los archivos que aparecen en el menú del GRUB2 y que se encuentran en el archivo /boot/grub/menu.lst. Si deseas añadir una entrada al menú, deberás crear un nuevo archivo en este directorio, asegurándote de hacerlo ejecutable. Si deseas remover una entrada del menú, también deberás editar el directorio.

Por ejemplo, si quieres todas las entradas del memtest86+, deberás hacer que el archivo 20_memtest86+ sea no-ejecutable, de la siguiente manera:sudo chmod –x 20_memtest86+

Y luego actualizas GRUBsudo update-grub

Ten en cuenta que no se encontro memtest86+ ya que el update-grub solo considera los archivos ejecutables.

Fuente

Translate »